<?php
    /*
     * Product Configurations
     */
    /*
     * The MAGIC switch.
     * Please change it to false if you are integrating with the product.
     */
        if(!defined("STANDALONE_WF")) {
            //define("STANDALONE_WF" , true); // standalone widget framework
            define("STANDALONE_WF" , false); // integrate with product
        }

    /*
     * Product related configurations
     * 1. You can specify your global configurations/variables here.
    * 2. You can overwrite any variable that has been set already in $wfconf_WFHome/inc/config.php     
     */
    if( ! STANDALONE_WF ) {
        $wfconf_sitename = "The Widget Page of IMSVA";
        // directory definitions
        $wfconf_dir_tmpwidget = "/var/tmp";
    }
    /*
    Below is diagnostic log configurations for server side
    $GLOBALS['wfconf_debug'] = true; //wfconf_debug_level = DEBUG
    $GLOBALS['wfconf_debug'] = false; //wfconf_debug_level = INFO
    $GLOBALS['wfconf_debug'] = 'null'; //turn off diagnostic.log
    */
    $GLOBALS['wfconf_debug'] = false;
    
    /*
    Below is product team configure widget pool update(update widget) max execution time
    */
    $GLOBALS['wp_max_execution_time'] = 1800; //1800 seconds = 30 minutes
    
    $GLOBALS['wfconf_debug_type'] = "log";
    $GLOBALS['wfconf_debug_dir'] = dirname(__FILE__).'/../../../../repository/log/';

    /*
    Below is diagnostic log configurations
    $GLOBALS['wfconf_client_debug_level'] = "OFF";  //turn off
    */
    $wfconf_js_compact = false;	
    $wfconf_widget_compact = false;	
    $wfconf_product_logon_page = "/WebApp/Login.aspx";
    $GLOBALS['wfconf_client_debug_level'] = "OFF";
    $GLOBALS["wfconf_use_jquery"] = false;
    if(file_exists('/etc/trend-release'))
    {
        $wfconf_default_user_udata = '[{"modname":"modImsvaMessageProcessedWidget","column":0,"wid":5,"showMin":"true","showClose":"true","showSetting":"true","showHelp":"true","allowDrag":"true","UniqueCss":"false","page":"2","order":2},{"modname":"modImsvaScanPerformanceWidget","column":0,"wid":6,"showMin":"true","showClose":"true","showSetting":"true","showHelp":"true","allowDrag":"true","UniqueCss":"false","page":"2","order":1},{"modname":"modImsvaScanningConditionsWidget","column":1,"wid":7,"showMin":"true","showClose":"true","showSetting":"true","showHelp":"true","allowDrag":"true","UniqueCss":"false","page":"2","order":1},{"modname":"modImsvaSystemUseageWidget","column":0,"order":1,"wid":1,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"1"},{"modname":"modImsvaMailsQueueWidget","column":1,"order":1,"wid":2,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"1"},{"modname":"modImsvaQuarantineWidget","column":0,"order":2,"wid":3,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"1"},{"modname":"modImsvaArchiveWidget","column":1,"order":2,"wid":4,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"1"},{"modname":"modImsvaIpFilterPerformanceWidget","column":0,"order":1,"wid":8,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"3"},{"modname":"modImsvaIPFilterTypeWidget","column":1,"order":1,"wid":9,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"3"},{"modname":"modImsvaPrefilterTrafficSummaryWidget","column":0,"order":1,"wid":10,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"4"},{"modname":"modImsvaPrefilterViolationTypesWidget","column":1,"order":1,"wid":11,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"4"}]';
    }
    else
    {
        // Remove mails queue widget for IMSS.
        $wfconf_default_user_udata = '[{"modname":"modImsvaMessageProcessedWidget","column":0,"wid":5,"showMin":"true","showClose":"true","showSetting":"true","showHelp":"true","allowDrag":"true","UniqueCss":"false","page":"2","order":2},{"modname":"modImsvaScanPerformanceWidget","column":0,"wid":6,"showMin":"true","showClose":"true","showSetting":"true","showHelp":"true","allowDrag":"true","UniqueCss":"false","page":"2","order":1},{"modname":"modImsvaScanningConditionsWidget","column":1,"wid":7,"showMin":"true","showClose":"true","showSetting":"true","showHelp":"true","allowDrag":"true","UniqueCss":"false","page":"2","order":1},{"modname":"modImsvaSystemUseageWidget","column":0,"order":1,"wid":1,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"1"},{"modname":"modImsvaQuarantineWidget","column":0,"order":2,"wid":3,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"1"},{"modname":"modImsvaArchiveWidget","column":1,"order":2,"wid":4,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"1"},{"modname":"modImsvaIpFilterPerformanceWidget","column":0,"order":1,"wid":8,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"3"},{"modname":"modImsvaIPFilterTypeWidget","column":1,"order":1,"wid":9,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"3"},{"modname":"modImsvaPrefilterTrafficSummaryWidget","column":0,"order":1,"wid":10,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"4"},{"modname":"modImsvaPrefilterViolationTypesWidget","column":1,"order":1,"wid":11,"showMin":false,"showClose":true,"showSetting":true,"showHelp":false,"allowDrag":true,"page":"4"}]';
    }
    $wfconf_default_user_pdata = '[{"sqeuenceNumber":1,"pageName":"updateConfigureWidgetAndWidgetComponent","layout":"1","pageNumber":5,"boxWidth":"","autoFit":0,"container_id":2,"isSlideShow":1,"intIntervalSlideShow":10},{"sqeuenceNumber":1,"pageName":"System Overview","layout":"2","icon":"","allowConfig":true,"allowClose":true,"fixedColumn":null,"eventCode":"null","pageNumber":1,"boxWidth":"","autoFit":0,"isSlideShow":1,"intIntervalSlideShow":10,"container_id":1},{"sqeuenceNumber":2,"pageName":"Message Traffic","layout":"2","icon":"","allowConfig":true,"allowClose":true,"fixedColumn":null,"eventCode":"null","pageNumber":2,"boxWidth":"","autoFit":0,"isSlideShow":1,"intIntervalSlideShow":10,"container_id":1},{"sqeuenceNumber":3,"pageName":"IP Filtering","layout":"2","icon":"","allowConfig":true,"allowClose":true,"fixedColumn":null,"eventCode":"null","pageNumber":3,"boxWidth":"","autoFit":0,"isSlideShow":1,"intIntervalSlideShow":10,"container_id":1},{"sqeuenceNumber":4,"pageName":"Cloud Pre-Filter","layout":"2","icon":"","allowConfig":true,"allowClose":true,"fixedColumn":null,"eventCode":"null","pageNumber":4,"boxWidth":"","autoFit":0,"isSlideShow":1,"intIntervalSlideShow":10,"container_id":1}]'; 
    $GLOBALS["wfconf_lang_mapping"] = array('en' => 'en_US', 'en_US' => 'en_US', 'zh_TW' => 'zh_TW', 'zh_CN' => 'zh_CN', 'de_DE' => 'de_DE', 'es_ES' => 'es_ES', 'fr_FR' => 'fr_FR', 'ja_JP' => 'ja_JP', 'ko_KR' => 'ko_KR', 'pl_PL' => 'pl_PL', 'ru_RU' => 'ru_RU', 'it_IT' => 'it_IT');
    //whether using scm and widget pool update
    $GLOBALS['wfconf_scm_and_widget_pool_update'] = false;

    $GLOBALS['wfconf_client_debug_type'] = "log";
    $GLOBALS['wfconf_client_debug_dir'] = dirname(__FILE__).'/../../../../repository/log/';

    $wfconf_default_user_lang = "en_US";
    if(!defined('WF_COOKIE_PATH')){
        define("WF_COOKIE_PATH" , '/');
    }
    /*
	Below is product team configurations which don't want update by AU
	*/
    require(dirname(__FILE__).'/../../product/config.php');
